--- Bmake.inc.orig     2014-08-22 23:54:21.000000000 +0200
+++ Bmake.inc  2014-08-22 23:55:10.000000000 +0200
@@ -13,7 +13,7 @@
 #  -----------------------------
 #  The top level BLACS directory
 #  -----------------------------
-   BTOPdir = $(HOME)/BLACS
+   BTOPdir = @WRKSRC@
 
 #  ---------------------------------------------------------------------------
 #  The communication library your BLACS have been written for.
@@ -32,14 +32,14 @@
 #  -------------------------------------------------------------
 #  The platform identifier to suffix to the end of library names
 #  -------------------------------------------------------------
-   PLAT = LINUX
+   PLAT = FreeBSD
 
 #  ----------------------------------------------------------
 #  Name and location of the BLACS library.  See section 2 for 
 #  details on BLACS debug level (BLACSDBGLVL).
 #  ----------------------------------------------------------
    BLACSdir    = $(BTOPdir)/LIB
-   BLACSDBGLVL = 0
+   BLACSDBGLVL = @DEBUG_LEVEL@
    BLACSFINIT  = $(BLACSdir)/blacsF77init_$(COMMLIB)-$(PLAT)-$(BLACSDBGLVL).a
    BLACSCINIT  = $(BLACSdir)/blacsCinit_$(COMMLIB)-$(PLAT)-$(BLACSDBGLVL).a
    BLACSLIB    = $(BLACSdir)/blacs_$(COMMLIB)-$(PLAT)-$(BLACSDBGLVL).a
@@ -47,10 +47,10 @@
 #  -------------------------------------
 #  Name and location of the MPI library.
 #  -------------------------------------
-   MPIdir = /usr/local/mpich
-   MPILIBdir = $(MPIdir)/lib/
+   MPIdir = @LOCALBASE@/mpi/openmpi
+   MPILIBdir = 
    MPIINCdir = $(MPIdir)/include
-   MPILIB = $(MPILIBdir)/libmpich.a
+   MPILIB = 
 
 #  -------------------------------------
 #  All libraries required by the tester.
@@ -86,14 +86,14 @@
 #  The directory to find the required communication library include files, 
 #  if they are required by your system.
 #  -----------------------------------------------------------------------
-   SYSINC = -I$(MPIINCdir)
+   SYSINC = 
 
 #  ---------------------------------------------------------------------------
 #  The Fortran 77 to C interface to be used.  If you are unsure of the correct
 #  setting for your platform, compile and run BLACS/INSTALL/xintface.
 #  Choices are: Add_, NoChange, UpCase, or f77IsF2C.
 #  ---------------------------------------------------------------------------
-   INTFACE = -Df77IsF2C
+   INTFACE = -DAdd_
 
 #  ------------------------------------------------------------------------
 #  Allows the user to vary the topologies that the BLACS default topologies
@@ -140,7 +140,7 @@
 #  If you know that your MPI uses the same handles for fortran and C
 #  communicators, you can replace the empty macro definition below with
 #  the macro definition on the following line.
-  TRANSCOMM = -DCSameF77
+  TRANSCOMM = -DUseMpi2
 #  -----------------------------------------------------------------------
 #  TRANSCOMM =
 
@@ -195,16 +195,15 @@
 #  optimization.  This is the F77NO_OPTFLAG.  The usage of the remaining
 #  macros should be obvious from the names.
 #=============================================================================
-   F77            = g77
-   F77NO_OPTFLAGS = 
-   F77FLAGS       = $(F77NO_OPTFLAGS) -O
-   F77LOADER      = $(F77)
-   F77LOADFLAGS   = 
-   CC             = gcc
-   CCFLAGS        = -O4
-   CCLOADER       = $(CC)
+   F77            = @LOCALBASE@/mpi/openmpi/bin/mpif77
+   F77NO_OPTFLAGS = @F77EXTRAFLAGS@
+   F77FLAGS       = @FFLAGS@
+   F77LOADER      = @LOCALBASE@/mpi/openmpi/bin/mpif77
+   F77LOADFLAGS   = @FFLAGS@
+   CC             = @LOCALBASE@/mpi/openmpi/bin/mpicc
+   CCFLAGS        = @CFLAGS@
+   CCLOADER       = @LOCALBASE@/mpi/openmpi/bin/mpicc
    CCLOADFLAGS    = 
-
 #  --------------------------------------------------------------------------
 #  The archiver and the flag(s) to use when building an archive (library).
 #  Also the ranlib routine.  If your system has no ranlib, set RANLIB = echo.
